package com.muyu.common.cache;

import org.springframework.data.redis.core.TimeoutUtils;

import java.util.Date;
import java.util.concurrent.TimeUnit;

/**
 * 缓存基础
 * * @className: CacheBasic  ️✈️
 * * @author: Yang 鹏  🦅
 * * @date: 2024/9/29 16:08 ⏰
 * * @Version: 1.0
 * * @description:
 */
public interface CacheBasic<K, V> extends PrimaryKeyBasic<K> {
    void put(K key, V value);

    V get(K key);

    void remove(K key);

    boolean hashKey(K key);
}
