package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * @Author WangXin
 * @Data 2024/10/2
 * @Description 数据源信息
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "数据源信息")
@TableName("sys_firm_datasource")
public class SysFirmDatasource {

    /**
     * 数据源Id
     */
    @Schema(name = "数据源Id")
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 数据源url
     */
    @Schema(name = "数据源url")
    private String datasourceUrl;
    /**
     * 数据源用户名
     */
    @Schema(name = "数据源用户名")
    private String username;
    /**
     * 数据源密码
     */
    @Schema(name = "数据源密码")
    private String password;
    /**
     * 数据源IP
     */
    @Schema(name = "数据源IP")
    private String ip;
    /**
     * 数据源端口号
     */
    @Schema(name = "数据源端口号")
    private Integer port;
    /**
     * 数据源库名
     */
    @Schema(name = "数据源库名")
    private String databaseName;
}
