package com.muyu.gateway.config;

import org.springframework.data.redis.core.index.PathBasedRedisIndexDefinition;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/18 12:18
 * @注释  报文常量
 */
public class PacketConstant {
    /**
     *  VIN报文起始位置
     */
    private final static String PACKET_VIN_PREFIX= "1";
    /**
     * VIN报文结束位置
     */
    private final static String PACKET_VIN_SUFFIX = "18";
    /**
     * 时间戳起始位置
     */
    private final static String PACKET_DATE_PREFIX = "19";
    /**
     * 时间戳结束位置
     */
    private final static String PACKET_DATE_SUFFIX = "30";
    /**
     * 经度起始位置
     */
    private final static String PACKET_LONGITUDE_PREFIX = "31";
    /**
     * 经度结束位置
     */
    private final static String PACKET_LONGITUDE_SUFFIX = "41";
    /**
     * 纬度起始位置
     */
    private final static String PACKET_LATITUDE_PREFIX = "42";
    /**
     * 纬度结束位置
     */
    private final static String PACKET_LATITUDE_SUFFIX = "51";

    /**
     *速度开始的位置
     */
    private final static String PACKET_SPEED_PREFIX = "52";

    /**
     * 速度的结束位置
     */
    private final static String PACKET_SPEED_SUFFIX = "57";
    /**
     * 总里程开始位置
     */
    private final static String PACKET_TOTAL_MILEAGE_PREFIX = "58";
    /**
     * 总里程结束位置
     */
    private final static String PACKET_TOTAL_MILEAGE_SUFFIX = "68";
    /**
     * 总电压开始位置
     */
    private final static String PACKET_TOTAL_VOLTAGE_PREFIX = "69";
    /**
     * 总电压结束位置
     */
    private final static String PACKET_TOTAL_VOLTAGE_SUFFIX = "74";
    /**
     *总电流开始位置
     */
    private final static String PACKET_TOTAL_CURRENT_PREFIX = "75";
    /**
     * 总电流结束位置
     */
    private final static String PACKET_TOTAL_CURRENT_SUFFIX = "79";
    /**
     * 绝缘电阻开始位置
     */
    private final static String PACKET_INSULATION_RESISTANCE_PREFIX = "80";
    /**
     * 绝缘电阻结束位置
     */
    private final static String PACKET_INSULATION_RESISTANCE_SUFFIX = "88";
    /**
     * 档位
     */
    private final static String PACKET_PARTY_PREFIX = "89";
    /**
     * 加速踏板行程值开始位置
     */
    private final static String PACKET_ACCELERATOR_PEDAL_PREFIX = "90";
    /**
     * 加速踏板行程值结束位置
     */
    private final static String PACKET_ACCELERATOR_PEDAL_SUFFIX = "91";

    /**
     * 制度踏板行程值结束位置
     */
    private final static String PACKET_ACCELERATOR_SPEED_PREFIX = "92";
    /**
     * 制度踏板行程值结束位置
     */
    private final static String PACKET_ACCELERATOR_SPEED_SUFFIX = "93";
    /**
     * 燃料消耗率开始值
     */
    private final static String PACKET_FUEL_CONSUMPTION_PREFIX = "94";
    /**
     * 燃料消耗率结束值
     */
    private final static String PACKET_FUEL_CONSUMPTION_SUFFIX = "98";
    /**
     * 电机控制器温度开始值
     */
    private final static String PACKET_MOTOR_CONTROLS_TEMPERATURE_PREFIX = "99";
    /**
     * 电机控制器温度结束值
     */
    private final static String PACKET_MOTOR_CONTROLS_TEMPERATURE_SUFFIX = "104";

    /**
     * 电机转速开始值
     */
    private final static String PACKET_MOTOR_SPEED_PREFIX = "105";
    /**
     * 电机转速结束值
     */
    private final static String PACKET_MOTOR_SPEED_SUFFIX = "109";
    /**
     * 电机转柜开始位置
     */
    private final static String PACKET_MOTOR_TEMPERATURE_PREFIX = "110";
    /**
     * 电机转柜结束位置
     */
    private final static String PACKET_MOTOR_TEMPERATURE_SUFFIX = "113";
    /**
     * 电机温度开始位置
     */
    private final static String PACKET_MOTOR_CONSUMPTION_PREFIX = "114";
    /**
     * 电机温度结束位置
     */
    private final static String PACKET_MOTOR_CONSUMPTION_SUFFIX = "119";
    /**
     * 电机电压开始位置
     */
    private final static String PACKET_MOTOR_CONSUMPTION_TEMPERATURE_PREFIX = "120";
    /**
     * 电机电压结束位置
     */
    private final static String PACKET_MOTOR_CONSUMPTION_TEMPERATURE_SUFFIX = "124";
    /**
     * 电机电流开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_PREFIX = "125";
    /**
     * 电机电流结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_SUFFIX = "132";
    /**
     * 动力电池剩余电量SOC开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_TEMPERATURE_PREFIX = "133";
    /**
     * 动力电池剩余电量SOC结束位置
     */
    private  final static String PACKET_MOTOR_CURRENT_TEMPERATURE_SUFFIX = "138";
    /**
     * 当前状态允许的最大反馈功率开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CONSUMPTION_PREFIX = "139";
    /**
     * 当前状态允许的最大反馈功率结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CONSUMPTION_SUFFIX = "144";
    /**
     * 当前状态允许最大放电功率开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CONSUMPTION_TEMPERATURE_PREFIX = "145";
    /**
     * 当前状态允许最大放电功率开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CONSUMPTION_TEMPERATURE_SUFFIX = "150";
    /**
     * BMS自检计数器起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_PREFIX = "151";
    /**
     * BMS自检计数器结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_SUFFIX = "152";
    /**
     * 动力电池充放电电流开始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_TEMPERATURE_PREFIX = "153";
    /**
     * 动力电池充放电电流结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_TEMPERATURE_SUFFIX = "157";
    /**
     * 动力电池负载端总电压V3起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CONSUMPTION_PREFIX = "158";
    /**
     * 动力电池负载端总电压V3结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CONSUMPTION_SUFFIX = "163";
    /**
     * 单次最大电压起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CONSUMPTION_TEMPERATURE_PREFIX = "164";
    /**
     * 单次最大电压结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CONSUMPTION_TEMPERATURE_SUFFIX = "167";
    /**
     * 单体电池最低电压起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_PREFIX = "168";
    /**
     * 单体电池最低电压结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_SUFFIX = "171";
    /**
     * 单体电池最高温度起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_TEMPERATURE_PREFIX = "172";
    /**
     * 单体电池最高温度结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_TEMPERATURE_SUFFIX = "177";

    /**
     * 单体电池最低温度起始位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_CONSUMPTION_PREFIX = "178";
    /**
     *单体电池最低温度结束位置
     */
    private final static String PACKET_MOTOR_CURRENT_CURRENT_CURRENT_CONSUMPTION_SUFFIX= "183";
    /**
     * 动力电池可用容量起始位置
     */
    private final static String PACKET_USABLE_CAPACITY_POWER_BATTERY_PREFIX = "184";
    /**
     * 动力电池可用容量结束位置
     */
    private final static String PACKET_USABLE_CAPACITY_POWER_BATTERY_SUFFIX = "189";
    /**
     * 车辆状态位置
     */
    private final static String PACKET_USABLE_CAPACITY_POWER_TEMPERATURE = "190";
    /**
     * 充电状态
     */
    private final static String PACKET_USABLE_CAPACITY_POWER_TEMPERATURE_PREFIX = "191";
    /**
     * 运行状态
     */
    private final static String PACKET_RUN_STATUS = "192";
    /**
     * SOC
     */
    private final static String PACKET_CAR_SOC = "193";
    /**
     * 可充电储能装置工作状态
     */
    private final static String PACKET_CAR_SOC_POWER_BATTERY_PREFIX = "194";
    /**
     *驱动电机状态
     */
    private final static String PACKET_CAR_SOC_POWER_BATTERY_SUFFIX = "195";
    /**
     * 定位是否有效
     */
    private final static String PACKET_CAR_SOC_POWER_TEMPERATURE = "196";
    /**
     * EAS
     */
    private final static String PACKET_CAR_EAS = "197";
    /**
     * PTC
     */
    private final static String PACKET_CAR_PTC = "198";
    /**
     * EPS
     */
    private final static String PACKET_CAR_EPC = "199";
    /**
     * ABS
     */
    private final static String PACKET_CAR_ABS = "200";
    /**
     * MCU
     */
    private final static String PACKET_CAR_MCU = "201";
    /**
     * 动力电池加热状态
     */
    private final static String PACKET_CAR_POWER_BATTERY_HEATED = "202";
    /**
     * 动力电池当前状态
     */
    private final static String PACKET_CAR_POWER_TEMPERATURE_NOW_STATUS = "203";
    /**
     * 动力电池保温状态
     */
    private final static String PACKET_CAR_POWER_BATTERY_HOLDS_WARM = "204";
    /**
     * DCDC
     */
    private final static String PACKET_CAR_DCDC = "205";
    /**
     * CHG
     */
    private final static String PACKET_CAR_CHG = "206";
    /**
     *校验位
     */
    private final static String PACKET_CAR_CHG_POWER_BATTERY = "208";
    /**
     * 截止位
     */
    private final static String PACKET_CAR_END_TEMPERATURE = "209";
}
