package com.muyu.data.basics;

import com.muyu.data.core.EndStrategy;

/**
 * 策略处理者，所有节点（根节点除外）都必须实现这个接口
 * @param <P> 接口入参
 * @param <R> 接口返回值
 * @author WangXin
 * @date 2024/10/4
 * @version 1.0.0
 */
public interface EventStrategyHandler<P,R> {

    @SuppressWarnings("rawtypes")
    EventStrategyHandler DEFAULT = t -> new EndStrategy();

    /**
     * 审核
     * @param param 参数
     * @return 返回值
     */
    R apply(P param);

}
