package com.muyu.data.constant;

import com.muyu.data.basics.ConditionsBasics;
import com.muyu.data.domain.Information;

/**
 * 事件判断枚举（包含所有事件判断条件）
 * @Author WangXin
 * @Data 2024/10/5
 * @Version 1.0.0
 */
public enum EventConditions implements ConditionsBasics<Information> {

    /**
     * 车辆故障判断
     */
    FAULT_STRATEGY {
        @Override
        public boolean isExecute(Information information) {
            // 实现逻辑
            return false;
        }
    },

    /**
     * 电子围栏判断
     */
    FENCE_STRATEGY {
        @Override
        public boolean isExecute(Information information) {
            // 实现逻辑
            return false;
        }
    },

    /**
     * 车辆预警判断
     */
    WARN_STRATEGY {
        @Override
        public boolean isExecute(Information information) {
            // 实现逻辑
            return false;
        }
    };
}
