package com.muyu.data.constant;

import com.muyu.data.core.IotdbStrategy;
import com.muyu.data.core.event.FaultStrategy;
import com.muyu.data.core.event.FenceStrategy;
import com.muyu.data.core.event.WarnStrategy;

/**
 * 事件枚举
 * @Author WangXin
 * @Data 2024/10/6
 * @Version 1.0.0
 */
public enum EventEnum {
    /** 电子围栏事件 */
    FENCE_EVENT("电子围栏事件", FenceStrategy.class),
    /** 车辆报警事件 */
    WARN_EVENT("车辆报警事件", WarnStrategy.class),
    /** 电子围栏事件 */
    FAULT_EVENT("车辆预警事件", FaultStrategy.class),
    /** 存储事件 */
    IOTDB_EVENT("存储事件", IotdbStrategy.class);

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件类型
     */
    private Class<?> aClass;

    EventEnum(String eventName, Class<?> aClass) {
        this.eventName = eventName;
        this.aClass = aClass;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public Class<?> getaClass() {
        return aClass;
    }

    public void setaClass(Class<?> aClass) {
        this.aClass = aClass;
    }
}
