package com.muyu.enterprise.cache.domain;

import com.muyu.common.system.domain.SysDept;
import com.muyu.domain.SysCar;
import com.muyu.domain.WarnLogs;
import com.muyu.domain.resp.FaultConditionTotalListResp;
import com.muyu.domain.resp.FenceGroupResp;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author WangXin
 * @Data 2024/9/30
 * @Description 消息数据对象
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class InformationData {
    /**
     * 车辆基本信息
     */
    private SysCar sysCar;
    /**
     * 公司信息
     */
    private SysDept sysDept;
    /**
     * 车辆电子绑定电子围栏信息
     */
    private FenceGroupResp fenceGroupResp;
    /**
     * 故障规则数据总数列表
     */
    private FaultConditionTotalListResp faultConditionTotalListResp;
    /**
     * 预警日志对象
     */
    private List<WarnLogs> warnLogsList;
}
