package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 车辆故障信息实体类
 *  * @Author：yan
 *  * @Package：com.muyu.car.domain
 *  * @Project：plues
 *  * @name：CarFaultMessage
 *  * @Date：2024/9/25 23:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆故障信息实体类",description = "车辆故障信息实体类")
@TableName(value = "car_fault_message",autoResultMap = true)
public class CarFaultMessage {
    @TableId(value = "id",type = IdType.AUTO)
    @Schema(name = "id")
    /**
     * id
     */
    private Integer id;
    @Schema(name = "sender")
    /**
     * 发送者
     */
    private String sender;
    @Schema(name = "receiver")
    /**
     * 接收者
     */
    private String receiver;
    @Schema(name = "content")
    /**
     * 消息内容
     */
    private String content;
    @Schema(name = "status")
    /**
     * 消息状态
     */
    private Integer status;
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    /**
     * 创建时间
     */
    private Date createTime;
    @Schema(name = "userId")
    /**
     * 登录人Id
     */
    private Integer userId;
}
