package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**

 */
/**
 *  车辆故障规则实体类
 *  * @className: CarFaultRule  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 22:06 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_rule",autoResultMap = true)
@Tag(name = "车辆故障规则")
public class CarFaultRule {
    /**
     * VIN码VIN码VIN码
    */
    @TableId(value = "规则Id",type = IdType.AUTO)
    @Schema(name = "车辆VIN码")
    private Long vin;
    /**
     * 时间戳时间戳时间戳
     */
    @Schema(name = "车辆类型Id")
    private long timestamp;
    /**
     * 经度经度经度
     */
    @Schema(name = "车速")
    private double longitude;
    /**
     * 纬度纬度纬度
     */
    @Schema(name = "总电流")
    private double latitude;
    /**
     * 车速车速车速
     */
    @Schema(name = "绝缘电阻")
    private double speed;
    /**
     * 总里程总里程总里程
     */
    @Schema(name = "加速踏板行程值")
    private long TM;
    /**
     * 总电压总电压总电压
     */
    @Schema(name = "制动踏板行程值")
    private double TV;
    /**
     * 总电流总电流总电流
     */
    @Schema(name = "燃料消耗率")
    private double CC;
    /**
     * 绝缘电阻绝缘电阻绝缘电阻
     */
    @Schema(name = "电机控制器温度")
    private double IR;
    /**
     * 档位档位档位
     */
    @Schema(name = "电机转速")
    private String GP;
    /**
     * 加速踏板行程值加速踏板行程值加速踏板行程值
     */
    @Schema(name = "电机转矩")
    private double APTV;
    /**
     * 制动踏板行程值制动踏板行程值制动踏板行程值
     */
    @Schema(name = "电机温度")
    private double BPTV;
    /**
     * 燃料消耗率燃料消耗率燃料消耗率
     */
    @Schema(name = "电机电压")
    private double SFC;
    /**
     * 电机控制器温度电机控制器温度电机控制器温度
     */
    @Schema(name = "电机电流")
    private double MCT;
    /**
     * 电机转速电机转速电机转速
     */
    @Schema(name = "动力电池剩余电量SOC")
    private int MS;
    /**
     * 电机转矩电机转矩电机转矩
     */
    @Schema(name = "当前状态允许的最大反馈功率")
    private double MTO;
    /**
     * 电机温度电机温度电机温度
     */
    @Schema(name = "当前状态允许最大放电功率")
    private double MTE;
    /**
     * 电机电压电机电压电机电压
     */
    @Schema(name = "BMS自检计数器")
    private double MV;
    /**
     * 电机电流电机电流电机电流
     */
    @Schema(name = "动力电池充放电电流")
    private double MC;
    /**
     * 动力电池剩余电量SOC动力电池剩余电量SOC动力电池剩余电量SOC
     */
    @Schema(name = "动力电池负载端总电压V3")
    private double PBRSOC;
    /**
     * 当前状态允许的最大反馈功率当前状态允许的最大反馈功率当前状态允许的最大反馈功率
     */
    @Schema(name = "单次最大电压")
    private double MACSFP;
    /**
     * 当前状态允许最大放电功率当前状态允许最大放电功率当前状态允许最大放电功率
     */
    @Schema(name = "单体电池最低电压")
    private double CSATMDP;
    /**
     * BMS自检计数器BMS自检计数器BMS自检计数器
     */
    @Schema(name = "单体电池最高温度")
    private int BMS;
    /**
     * 动力电池充放电电流动力电池充放电电流动力电池充放电电流
     */
    @Schema(name = "单体电池最低温度")
    private double  CADC;
    /**
     * 动力电池负载端总电压V3动力电池负载端总电压V3动力电池负载端总电压V3
     */
    @Schema(name = "动力电池可用容量")
    private double  PBLETVV3;
    /**
     * 单次最大电压单次最大电压单次最大电压
     */
    @Schema(name = "总里程")
    private double  SMV;
    /**
     * 单体电池最低电压单体电池最低电压单体电池最低电压
     */
    @Schema(name = "总电压")
    private double  MVOAB;
    /**
     * 单体电池最高温度单体电池最高温度单体电池最高温度
     */
    @Schema(name = "车辆状态")
    private double  MAXBT;
    /**
     * 单体电池最低温度单体电池最低温度单体电池最低温度
     */
    @Schema(name = "充电状态")
    private double  MINBT;
    /**
     * 动力电池可用容量动力电池可用容量动力电池可用容量
     */
    @Schema(name = "运行状态")
    private double  PBAC;
    /**
     * 车辆状态车辆状态车辆状态
     */
    @Schema(name = "SOC")
    private String VS;
    /**
     * 充电状态充电状态充电状态
     */
    @Schema(name = "可充电储能装置工作状态")
    private String CS;
    /**
     * 运行状态运行状态运行状态
     */
    @Schema(name = "EAS")
    private String RS;
    /**
     * SOCSOCSOC
     */
    @Schema(name = "PTC")
    private double  SOC;
    /**
     * 可充电储能装置工作状态可充电储能装置工作状态可充电储能装置工作状态
     */
    @Schema(name = "EPS")
    private String RESDWC;
    /**
     * EASEASEAS
     */
    @Schema(name = "ABS")
    private String EAS;
    /**
     * PTCPTCPTC
     */
    @Schema(name = "MCU")
    private String PTC;
    /**
     * EPSEPSEPS
     */
    @Schema(name = "动力电池加热状态")
    private String EPS;
    /**
     * ABSABSABS
     */
    @Schema(name = "动力电池当前状态")
    private String ABS;
    /**
     * MCUMCUMCU
     */
    @Schema(name = "动力电池保温状态")
    private String MCU;
    /**
     * 动力电池加热状态动力电池加热状态动力电池加热状态
     */
    @Schema(name = "DCDC")
    private String PBHS;
    /**
     * 动力电池当前状态动力电池当前状态动力电池当前状态
     */
    @Schema(name = "CHG")
    private String PBCS;
    /**
     * 动力电池保温状态动力电池保温状态动力电池保温状态
     */
    @Schema(name = "校验位")
    private String PBIS;
    /**
     * DCDCDCDCDCDC
     */
    @Schema(name = "截止位")
    private String DCDC;
    /**
     * CHGCHGCHG
     */
    @Schema(name = "")
    private String CHG;
    /**
     * 校验位校验位校验位
     */
    @Schema(name = "")
    private byte  CHB;
    /**
     * 截止位截止位截止位
     */
    @Schema(name = "")
    private byte  CUB;
}
