package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆电子围栏业务类型
 *  * @Author：yang
 *  * @Package：com.muyu.domain
 *  * @Project：cloud-electronic
 *  * @name：CarFenceClazz
 *  * @Date：2024/9/17 16:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆电子业务类型")
@TableName(value = "car_fence_clazz",autoResultMap = true)
public class CarFenceClazz {
    /**
     * 业务类型ID
     */
    @TableId(value = "clazz_id",type = IdType.AUTO)
    @Schema(name = "业务类型ID")
    private Integer clazzId;
    /**
     * 业务类型名称
     */
    @Schema(name = "业务类型名称")
    private String clazzName;

    public static CarFenceClazz carFenceClazzBuild(CarFenceClazz carFenceClazz) {
        return CarFenceClazz.builder()
                .clazzId(carFenceClazz.getClazzId())
                .clazzName(carFenceClazz.getClazzName())
                .build();
    }
}
