package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆类型实体类
 *  * @className: CarType  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 22:01 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_type",autoResultMap = true)
@Tag(name = "车辆类型管理")
public class CarType {
    /**
     * 车辆类型ID
     */
    @TableId(value = "car_type_id",type = IdType.AUTO)
    @Schema(name = "车辆类型ID")
    private long carTypeId;
    /**
     * 车辆类型名
     */
    @Schema(name = "车辆类型名")
    private String carTypeName;
    /**
     * 车辆规则外键ID
     */
    @Schema(name = "车辆规则外键ID")
    private long carTypeRules;
}
