package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 报文标签
 *  * @className: FaultLabel  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:07 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_label",autoResultMap = true)
@Tag(name = "报文标签管理")
public class FaultLabel {

    /**
     *自增主键
     */
    @TableId(value = "message_type_id",type = IdType.AUTO)
    @Schema(name = "自增主键")
    private String messageTypeId;
    /**
     *报文编码
     */
    @Schema(name = "报文编码")
    private String messageTypeCode;
    /**
     *报文名称
     */
    @Schema(name = "报文名称")
    private String messageTypeName;
    /**
     *报文所属类别
     */
    @Schema(name = "报文所属类别")
    private String messageTypeBelongs;

}
