package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 故障触发条件
 *  * @className: FaultRule  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:05 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_condition",autoResultMap = true)
@Tag(name = "故障触发条件")
public class FaultRule {
    /**
     * 触发条件Id
     */
    @TableId(value = "condition_id",type = IdType.AUTO)
    @Schema(name = "触发条件Id")
    private long conditionId;

    /**
     * 故障码Id
     */
    @Schema(name = "故障码Id")
    private long faultcodeId;

    /**
     * 触发条件描述
     */
    @Schema(name = "触发条件描述")
    private String conditionContent;

    /**
     * 单个参数的阈值
     */
    @Schema(name = "单个参数的阈值")
    private BigDecimal singleThreshold;

    /**
     * 区间参数的阈值的最小值
     */
    @Schema(name = "区间参数的阈值的最小值")
    private BigDecimal minThreshold;

    /**
     * 区间参数的阈值的最大值
     */
    @Schema(name = "区间参数的阈值的最大值")
    private BigDecimal maxThreshold;

    /**
     * 触发条件是否激活
     */
    @Schema(name = "触发条件是否激活")
    private Integer isActive;

    /**
     * 车辆数据值
     */
    @Schema(name = "车辆数据值")
    private BigDecimal Threshold;



}

