package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障类型实体类
 *  * @className: FaultType  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:04 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_type",autoResultMap = true)
@Tag(name = "故障类型管理")
public class FaultType {
    /**
     *故障类型Id
     */
    @TableId(value = "faulttype_id",type = IdType.AUTO)
    @Schema(name = "故障类型Id")
    private long faulttypeId;
    /**
     *故障类型名称
     */
    @Schema(name = "故障类型名称")
    private String faulttypeName;
}
