package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆电子围栏中间表
 * * @Author：yan
 *  * @Package：com.muyu.car.domain
 *  * @Project：plues
 *  * @name：FenceAndGroupMiddle
 *  * @Date：2024/9/22 09:59
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆电子围栏中间表")
@TableName(value = "car_middle",autoResultMap = true)
public class FenceAndGroupMiddle {
    /**
     * id
     */
    @TableId(value = "id",type = IdType.AUTO)
    @Schema(name = "id")
    private Integer id;
    /**
     * 围栏id
     */
    @Schema(name = "围栏id")
    private Integer carId;
    /**
     * 围栏组id
     */
    @Schema(name = "围栏组id")
    private Integer groupId;

}
