package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ClassName SysCarType
 * @Description TODO
 * @Author Li HD
 * @Date 2024/9/22 15:48
 */
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "sys_car_type", autoResultMap = true)
@Tag(name = "车辆类型管理")
public class SysCarType extends BaseEntity {
    /**
     * 车辆类型主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Schema(name = "车辆类型主键")
    private String id;

    /**
     * 车辆类型名称
     */
    @Schema(name = "车辆类型名称")
    private String sysTypeName;

    /**
     * 报文模版外键
     */
    @Schema(name = "报文模版外键")
    private String messageTemplateId;
}
