package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预警策略对象 warn_strategy
 *
 * @author muyu
 * @date 2024-09-20
 */

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("warn_strategy")
@Tag(name = "预警策略管理")
public class WarnStrategy extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 策略id */
    @TableId( type = IdType.AUTO)
    @Schema(title = "策略id")
    private Long id;

    /** 车辆类型id */
    @Schema(name = "车辆类型id")
    private Long sysTypeId;

    /** 策略名称 */
    @Schema(name = "策略名称")
    private String strategyName;

    /** 报文模版id */
    @Schema(name = "报文模版id")
    private Long msgId;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("carTypeId", getId())
            .append("strategyName", getStrategyName())
            .append("msgId", getMsgId())
            .toString();
    }
}
