package com.muyu.domain.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**

 */

/**
 * 消息实体类
 *  * @className: Message  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/22 10:55 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_message",autoResultMap = true)
@Tag(name = "消息管理")
public class Message {
        /**
         * id
         */
        @TableId(value = "id",type = IdType.AUTO)
        private long id;

        /**
         * 发送者
         */
        @Schema(description = "消息发送者",defaultValue = "admin",type = "String")
        private String sender;

        /**
         * 接收者
         */
        @Schema(description = "消息接收者",defaultValue = "admin",type = "String")
        private String receiver;

        /**
         * 消息内容
         */
        @Schema(description = "消息内容",defaultValue = "你好，我是admin",type = "String")
        private String content;

        /**
         * 消息状态
         */
        @Schema(description = "消息状态",defaultValue = "0",type = "Integer")
        private Integer status;

        /**
         * 创建时间
         */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @Schema(description = "消息创建时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
        private Date createTime;
        /**
         * 登录人Id
         */
        @Schema(description = "登录人Id",defaultValue = "1",type = "Long")
        private long userId;


}
