package com.muyu.domain.message.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 消息请求参数
 *  * @className: MessageReq  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 20:59 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "message_req",autoResultMap = true)
@Tag(name = "消息请求参数")
public class MessageReq {
    /**
     * 消息状态
     */
    @TableId(type = IdType.AUTO,value = "status")
    @Schema(name = "消息状态")
    private Integer status;
    /**
     * 登录人Id
     */
    @Schema(name = "登录人Id")
    private long userId;
}
