package com.muyu.domain.message.message;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 消息发送请求参数
 *  * @className: MessageSendReq  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:00 ⏰
 *  * @Version: 1.0
 *  * @description:消息发送请求参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "message_send_req",autoResultMap = true)
@Tag(name = "消息发送请求参数")
public class MessageSendReq {
    /**
     * 发送者
     */
    @Schema(name = "发送者")
    private String sender;
    /**
     * 接收者
     */
    @Schema(name = "接收者")
    private String receiver;

    /**
     * 消息内容
     */
    @Schema(name = "消息内容")
    private String content;
    /**
     * 登录人Id
     */
    @Schema(name = "登录人Id")
    private long userId;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "消息创建时间",defaultValue = "2024-8-9 10:47:57",type = "String")
    private Date createTime;
}
