package com.muyu.domain.message.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户实体类
 *  * @className: User  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 20:56 ⏰
 *  * @Version: 1.0
 *  * @description: 用户实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "用户实体类")
@TableName("user")
@Builder
public class User {
    /**
     * 用户id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 用户名
     */
    @Schema(name = "用户名")
    private String username;
    /**
     * 邮箱
     */
    @Schema(name="邮箱")
    private String email;
}
