package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：yang
 * @Package：com.muyu.domain
 * @Project：cloud-electronic
 * @name：CarFence
 * @Date：2024/9/17 16:08
 */
/**
 * 围栏组实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fence_group", autoResultMap = true)
@Tag(name = "围栏组")
public class CarFenceGroup {

    /**
     * 围栏主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    @Schema(name = "围栏主键", type = "Integer", defaultValue = "0", description = "围栏主键")
    private Integer id;
    /**
     * 围栏名称
     */
    @Schema(name = "围栏名称", type = "String", defaultValue = "**", description = "围栏名称")
    private String name;
    /**
     * 业务类型ID
     */
    @Schema(name = "序号", type = "Integer", defaultValue = "*", description = "业务类型ID")
    private Integer clazzId;
    /**
     * 业务类型名称
     */
    @Schema(name = "业务类型名称", type = "String", defaultValue = "*", description = "业务类型名称")
    private String clazzName;
    /**
     * 围栏类型ID
     */
    @Schema(name = "围栏类型ID", type = "Integer", defaultValue = "*", description = "围栏类型ID")
    private Integer typeId;
    /**
     * 围栏类型名称
     */
    @Schema(name = "围栏类型名称", type = "String", defaultValue = "**", description = "围栏类型名称")
    private String typeName;
    /**
     * 围栏经纬度
     */
    @Schema(name = "围栏经纬度", type = "String", defaultValue = "**", description = "围栏经纬度")
    private String fenceText;
    /**
     * 围栏开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "围栏开始时间",type = "Date")
    private Date fenceStart;
    /**
     * 围栏结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "围栏结束时间",type = "Date")
    private Date fenceEnd;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm:ss")
    @Schema(description = "创建时间",type = "Date")
    private Date fenceCreate;



}
