package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
/**
 * 故障检测
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "fault_code_add_req", autoResultMap = true)
@Tag(name = "故障检测")
public class FaultCodeAddReq {

    /**
     *故障名称Id
     */
    @Schema(description = "故障名称Id")
    @TableId(value = "message_type_id", type = IdType.AUTO)
    private long messageTypeId;
    /**
     * 故障名称
     */
    @Schema(description = "故障名称")
    private String messageTypeName;
    /**
     * 报文编码
     */
    @Schema(description = "报文编码")
    private String messageTypeCode;

    /**
     * 故障码
     */
    @Schema(description = "故障码")
    private String faultcodeNumber;
    /**
     * 故障分类Id
     */
    @Schema(description = "故障分类Id")
    private long faulttypeId;
    /**
     * 是否产生报警
     */
    @Schema(description = "是否产生报警")
    private Integer isWarning;
    /**
     * 故障描述
     */
    @Schema(description = "故障描述")
    private String  faultContent;
    /**
     *故障组
     */
    @Schema(description = "故障组")
    private String faultGroup;
    /**
     *故障位
     */
    @Schema(description = "故障位")
    private String faultBit;
    /**
     *故障值
     */
    @Schema(name = "故障值")
    private String faultValue;
    /**
     *报文所属类别
     */
    @Schema(name = "报文所属类别")
    private String messageTypeBelongs;


}
