package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description:
 */

/**
 * 故障码列表请求对象
 */
@Tag(name = "故障码列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "fault_code_add_req", autoResultMap = true)
@Tag(name = "故障码列表请求对象")
public class FaultCodeListReq {
    /**
     *故障码
     */
    @Schema(name = "故障码")
    private String faultcodeNumber;
    /**
     *故障位
     */
    @Schema(name = "故障位")
    private String faultBit;
    /**
     * 页码，从1开始
     */
    @Schema(name = "页码")
    @Builder.Default
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    @Schema(name = "每页大小")
    @Builder.Default
    private Integer pageSize=10;


}
