package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */

/**
 * 更新故障码的请求参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "fault_code_upd_req", autoResultMap = true)
@Tag(name = "故障码更新请求参数")
public class FaultCodeUpdReq {

    /**
     *故障码Id
     */
    @TableId(value = "faultcode_id", type = IdType.AUTO)
    @Schema(title = "故障码Id")
    private long faultcodeId;
    /**
     *故障名称Id
     */
    @Schema(name = "故障名称Id")
    private long messageTypeId;
    /**
     * 故障名称
     */
    @Schema(name = "故障名称")
    private String messageTypeName;
    /**
     * 报文编码
     */
    @Schema(name = "报文编码")
    private String messageTypeCode;
    /**
     * 故障码
     */
    @Schema(name = "故障码")
    private String faultcodeNumber;
    /**
     * 故障分类Id
     */
    @Schema(name = "故障分类Id")
    private long faulttypeId;
    /**
     * 是否产生报警
     */
    @Schema(name = "是否产生报警")
    private Integer isWarning;
    /**
     * 故障描述
     */
    @Schema(name = "故障描述")
    private String  faultContent;
    /**
     *故障状态
     */
    @Schema(name = "故障状态")
    private Integer faultStatus;
    /**
     *故障组
     */
    @Schema(name = "故障组")
    private String faultGroup;
    /**
     *故障位
     */
    @Schema(name = "故障位")
    private String faultBit;
    /**
     *故障值
     */
    @Schema(name = "故障值")
    private String faultValue;
    /**
     *报文所属类别
     */
    @Schema(name = "报文所属类别")
    private String messageTypeBelongs;



}
