package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */

/**
 * 故障规则表Id
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "fault_condition", autoResultMap = true)
@Tag(name = "故障规则添加请求对象")
public class FaultConditionAddReq {
    /**
     * 故障规则表Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Schema(title = "故障规则表Id")
    private long carconditionId;
    /**
     * 车辆类型Id
     */
    @Schema(name = "车辆类型Id")
    private long carTypeId;
   /**
     *故障名称Id
     */
   @Schema(name = "故障名称Id")
    private long messageTypeId;
    /**
     * 故障条件
     */
    @Schema(name = "故障条件")
    private String faultconditionIdentification;
    /**
     * 故障规则参数
     */
    @Schema(name = "故障规则参数")
    private BigDecimal faultconditionParameter;

}
