package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
/**
 * 故障规则列表请求对象
 */
@Tag(name = "故障规则列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "fault_code_add_req", autoResultMap = true)
@Tag(name = "故障规则列表请求对象")
public class FaultConditionListReq {


    /**
     * 车辆类型Id
     */
    @TableId(value = "car_type_id", type = IdType.INPUT)
    @Schema (description = "车辆类型Id")
    private long carTypeId;
   /**
     *故障名称Id
     */
   @Schema(name = "故障名称Id")
    private long messageTypeId;
    /**
     * 页码，从1开始
     */
    @Schema(name = "页码")
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    @Schema(name = "每页大小")
    private Integer pageSize=10;
}
