package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */

/**
 * 故障日志列表请求对象
 */
@Tag(name = "故障日志列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "fault_log",autoResultMap = true)
public class FaultLogListReq {

    /**
     * 故障码Id
     */
    @TableId(value = "type", type = IdType.AUTO)
    @Schema(description = "故障码Id",example = "1")
    private long faultcodeId;
    /**
     * 车辆VIN
     */
    @Schema(name = "车辆VIN")
    private String carVin;
    /**
     * 开始报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始报警时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date startwarningTime;
    /**
     * 结束报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束报警时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date endwarningTime;

    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=10;
}
