package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MessageValueAddReq
 * @Description TODO
 * @Author LiHD
 * @Date 2024/9/19
 */

/**
 * 新增报文数据请求参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文数据请求参数", description = "根据入参进行报文数据的添加")
@TableName(value = "message_value", autoResultMap = true)
public class MessageValueAddReq {

    /**
     * 模版主键
     */
    @TableId(value = "template_id",type = IdType.INPUT)
    @Schema(description = "模版主键")
    private Long templateId;

    /**
     * 报文类别
     */
    @Schema(name = "报文类别")
    private String messageType;

    /**
     * 报文编码
     */
    @Schema(name = "报文编码")
    private String messageCode;

    /**
     * 报文标签
     */
    @Schema(name = "报文标签")
    private String messageLabel;

    /**
     * 起始下标
     */
    @Schema(name = "起始下标")
    private Integer messageStartIndex;

    /**
     * 终止下标
     */
    @Schema(name = "终止下标")
    private Integer messageEndIndex;
}
