package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MessageValueReq
 * @Description TODO
 * @Author LiHD
 * @Date 2024/9/19
 */

/**
 * 报文数据请求参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "报文数据请求参数", description = "根据入参进行报文数据的查询")
@TableName(value = "message_value_req",autoResultMap = true)
public class MessageValueReq {

    /** 报文模版主键 */
    @Schema(title = "报文模版主键", type = "Long", defaultValue = "1", description = "报文模版主键")
    private Long messageTemplateId;

    /** 报文分类 */
    @Schema(title = "报文分类", type = "String", defaultValue = "basics", description = "报文分类")
    private String messageType;
}
