package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 车辆基础信息对象 sys_car
 *
 * @author LiHD
 * @date 2024-09-18
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "sys_car", autoResultMap = true)
@Tag(name = "车辆基础信息对象")
public class SysCarReq {

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    @Schema(title = "自增主键")
    private Long id;

    /** 车辆VIN码 */
    @Schema(title = "车辆VIN码")
    private String carVin;

    /** 车辆车牌号 */
    @Schema(title = "车辆车牌号")
    private String carPlate;

    /** 车辆品牌 */
    @Schema(title = "车辆品牌")
    private String carBrand;

    /** 车辆型号 */
    @Schema(title = "车辆型号")
    private String carModel;

    /** 车辆类型 */
    @Schema(title = "车辆类型")
    private Integer carType;

    /** 策略ID */
    @Schema(title = "策略ID")
    private Integer warnStrategy;

    /** 围栏组编码 */
    @Schema(title = "围栏组编码")
    private String groupCode;

    /** 启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中) */
@Schema(title = "启用状态(1.在线 2.离线 3.已断开 4.待连接 5.维修中)")
    private Integer state;


}
