package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @className: Messages  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/22 10:55 ⏰
 * @Version: 1.0
 * @description:
 */
/**
 * 数据总数列表
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name="数据总数列表",description = "数据和总数的响应")
@TableName(value = "fault_code",autoResultMap = true)
public class FaultCodeTotalListResp {

    @Schema(name = "数据列表")
    private List<FaultCodeListResp> faultCodeListRespList;

    /**
     * 总数
     */
    @Schema(name = "总数")
    private  long total;

    public static FaultCodeTotalListResp faultCodeTotalListResp(List<FaultCodeListResp> faultCodeListRespList,long total){
        FaultCodeTotalListResp faultCodeTotalListResp = new FaultCodeTotalListResp();
        faultCodeTotalListResp.setFaultCodeListRespList(faultCodeListRespList);
        faultCodeTotalListResp.setTotal(total);
        return faultCodeTotalListResp;
    }


}
