package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */

/**
 * 故障规则数据总数列表
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name="故障规则数据总数列表",description = "数据和总数的响应")
@TableName(value = "fault_condition",autoResultMap = true)
public class FaultConditionTotalListResp {

    @Schema(description = "故障规则数据列表")
    private List<FaultConditionListResp> faultConditionListRespList;

    @Schema(description = "故障规则数据总数")
    private  long total;

    public static FaultConditionTotalListResp faultConditionTotalListResp(List<FaultConditionListResp> faultConditionListRespList,long total){
        FaultConditionTotalListResp faultConditionTotalListResp = new FaultConditionTotalListResp();
        faultConditionTotalListResp.setFaultConditionListRespList(faultConditionListRespList);
        faultConditionTotalListResp.setTotal(total);
        return faultConditionTotalListResp;
    }
}
