package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @className: Messages  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/22 10:55 ⏰
 * @Version: 1.0
 * @description:
 */

/**
 * 故障日志数据总数列表
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name="故障日志数据总数列表",description = "数据和总数的响应")
@TableName(value = "fault_log",autoResultMap = true)
public class FaultLogTotalListResp {

    @Schema(description = "故障日志列表")
    private List<FaultLogListResp> faultLogListRespList;

    @Schema(description = "总数")
    private  long total;

    public static FaultLogTotalListResp faultLogTotalListResp(List<FaultLogListResp> faultLogListRespList,long total){
        FaultLogTotalListResp faultLogTotalListResp = new FaultLogTotalListResp();
        faultLogTotalListResp.setFaultLogListRespList(faultLogListRespList);
        faultLogTotalListResp.setTotal(total);
        return faultLogTotalListResp;
    }
}
