package com.muyu.domain.resp;

import com.muyu.domain.SysCar;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 车辆电子绑定电子围栏信息
 * @Author WangXin
 * @Data 2024/10/3
 * @Description 车辆电子绑定电子围栏信息
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "车辆电子绑定电子围栏信息")
public class FenceGroupResp {
    /**
     * 车辆信息
     */
    @Schema(name = "车辆基础信息对象")
    private SysCar sysCar;
    /**
     * 围栏组内所有围栏的集合
     */
    @Schema(name = "车辆电子围栏信息")
    private List<CarFenceResq> carFenceResqList;
}
