package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.domain.MessageTemplate;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MessageTemplateListResp
 * @Description TODO
 * @Author LiHD
 * @Date 2024/9/19
 */

/**
 * 报文模版列表响应数据
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "报文模版列表", description = "负责报文模版管理列表的相应数据")
@TableName(value = "message_template", autoResultMap = true)
public class MessageTemplateListResp {

    /**
     * 报文模版主键
     */
    @Schema(description = "报文模版主键")
    @TableId(value = "message_template_id", type = IdType.AUTO)
    private String messageTemplateId;

    /**
     * 报文模版名称
     */
    @Schema(description = "报文模版名称")
    private String messageTemplateName;

    /**
     * 报文模版描述
     */
    @Schema(description = "报文模版描述")
    private String messageTemplateDescribe;

    /**
     * 数据库对象构建为返回结果对象
     * @param messageTemplate
     * @return
     */
    public static MessageTemplateListResp messageTemplateBuild(MessageTemplate messageTemplate) {
        return MessageTemplateListResp.builder()
                .messageTemplateId(messageTemplate.getMessageTemplateId())
                .messageTemplateName(messageTemplate.getMessageTemplateName())
                .messageTemplateDescribe(messageTemplate.getMessageTemplateDescribe())
                .build();
    }
}
