package com.muyu.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.domain.FaultCode;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 * 故障代码VO
 *  * @className: FaultCodeVo  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 22:18 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_faultcode", autoResultMap = true)
@Tag(name = "故障代码")
public class FaultCodeVo extends FaultCode {
    /**
     *故障类型名称
     */
    @Schema(description = "故障类型名称")
    private String faulttypeName;
    /**
     * 故障名称
     */
    @Schema(description = "故障名称")
    private String messageTypeName;
    /**
     * 报文编码
     */
    @Schema(description = "报文编码")
    private String messageTypeCode;
    /**
     *报文所属类别
     */
    @Schema(description = "报文所属类别")
    private String messageTypeBelongs;


}
