package com.muyu.enterpise.controller;


import com.muyu.common.core.domain.Result;
import com.muyu.enterpise.service.CarTypeService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 车辆类型控制器
 *  * @className: CarTypeController  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 22:06 ⏰
 *  * @Version: 1.0
 *  * @description:车辆类型控制器
 */
@RequestMapping("/cartype")
@RestController
@Tag(name = "查询车辆类型" ,description = "查询车辆类型")
public class CarTypeController {

    @Autowired
    private CarTypeService carTypeService;

    /**
     * 车辆类型
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "车辆类型",description = "车辆类型信息")
    public Result carTypeList(){
        return Result.success(carTypeService.selectcarType());
    }
}
