package com.muyu.enterpise.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.enterpise.service.FaultLabelService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 故障码分类
 *  * @className: FaultLog  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description:
 */
@RestController
@RequestMapping("/faultlabel")
@Tag(name = "故障查询",description = "故障查询")
public class FaultLabelController {

    @Autowired
    private FaultLabelService faultLabelService;


    /**
     * 故障名称
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障名称查询",description = "故障名称信息")
    public Result findfaulttype(){
        return Result.success(faultLabelService.select());
    }
}
