package com.muyu.enterpise.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.req.FaultLogListReq;
import com.muyu.enterpise.service.FaultLogService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 故障日志
 *  * @className: FaultLog  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description:故障日志
 */
@RestController
@RequestMapping("/faultlog")
@Tag(name = "故障日志",description = "故障日志")
public class FaultLogController {
    @Autowired
    private FaultLogService faultLogService;


    /**
     * 故障日志列表
     * @param faultLogListReq
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障日志列表",description = "故障日志列表展示")
    public Result selectfaultlog(@Validated @RequestBody FaultLogListReq faultLogListReq){
        return Result.success(faultLogService.selectfaultlog(faultLogListReq));
    }
}
