package com.muyu.enterpise.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.domain.SysCarType;
import com.muyu.enterpise.service.SysTypeService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/22 9:36
 * @注释
 */
/**
 * 车辆类型信息表(SysCarType)表控制层
 */
@RestController
@RequestMapping("/sysType")
@Tag(name = "查询车辆类型模块",description = "查询车辆类型模块")
public class SysTypeController extends BaseController {
    @Resource
    private SysTypeService sysTypeService;


    /**
     * 查询车辆类型列表
     */
    @GetMapping("/list")
    public Result<TableDataInfo<SysCarType>> list() {
        startPage();
        List<SysCarType> list = sysTypeService.selectSysTypeList();
        return getDataTable(list);
    }
}
