package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarFence;
import com.muyu.domain.CarMiddle;
import com.muyu.domain.FenceGroup;
import com.muyu.domain.req.CarFenceAdd;

import java.util.List;

/**
 * 围栏服务接口
 *  * @Author：yan
 *  * @Package：com.muyu.car.service
 *  * @Project：plues
 *  * @name：CarFenceServiceMybaits
 *  * @Date：2024/9/22 19:24
 */
public interface CarFenceServiceMybaits extends IService<CarMiddle> {


    /**
     * 添加多对多围栏组
     *
     * @param fenceGroupId
     * @param carFences
     * @return
     */
    boolean saveBatch(List<CarFenceAdd> carFences, Integer fenceGroupId);






    /**
     * 根据围栏组的id查询绑定的围栏的中间表
     */
    List<CarFence> BoundFenceGroup(Integer groupId);



    /**
     * 获取绑定的围栏组
     * @param carId
     */
    List<FenceGroup> selectBoundGFenceGroup(Integer carId);



}
