package com.muyu.enterpise.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.req.FaultCodeAddReq;
import com.muyu.domain.req.FaultCodeListReq;
import com.muyu.domain.req.FaultCodeUpdReq;
import com.muyu.domain.resp.FaultCodeTotalListResp;
import com.muyu.domain.vo.FaultCodeVo;

/**
 * 故障码管理接口
 *  * @className: FaultCodeService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
public interface FaultCodeService extends IService<FaultCodeVo> {

    /**
     * 故障码展示
     * @param faultCodeListReq
     * @return
     */
    FaultCodeTotalListResp selectlist(FaultCodeListReq faultCodeListReq);

    /**
     * 故障码展示(故障码联查)
     * @param faultCodeListReq
     * @return
     */
    FaultCodeTotalListResp selectfaultcodelist(FaultCodeListReq faultCodeListReq);

    /**
     * 新增故障码
     * @param faultCodeAddReq
     * @return
     */
    void insert(FaultCodeAddReq faultCodeAddReq);


    /**
     * 修改故障码
     * @param faultCodeUpdReq
     * @return
     */
    void upd(FaultCodeUpdReq faultCodeUpdReq);


    /**
     * 删除故障码
     * @param messageTypeId
     * @return
     */
    void del(Integer messageTypeId);
}
