package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultCondition;
import com.muyu.domain.req.FaultConditionAddReq;
import com.muyu.domain.req.FaultConditionListReq;
import com.muyu.domain.resp.FaultConditionTotalListResp;

import java.util.List;

/**
 * 故障检测策略的接口
 *  * @className: FaultConditionService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测策略的接口
 */
public interface FaultConditionService extends IService<FaultCondition> {


    /**
     * 故障规则
     * @param faultConditionListReq
     * @return
     */
    FaultConditionTotalListResp getfaultrulelist(FaultConditionListReq faultConditionListReq);

    /**
     * 故障规则添加
     * @param faultConditionAddReq
     * @return
     */
    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);
}
