package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultType;

import java.util.List;

/**

 */

/**
 * 故障类型服务接口
 *  * @className: FaultTypeService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 */
public interface FaultTypeService extends IService<FaultType> {

    /**
     * 故障码分类查询
     * @return
     */
    List<FaultType> select();

    /**
     * 故障码分类新增
     * @param faultType
     * @return
     */
    Integer add(FaultType faultType);

    /**
     * 故障码分类修改
     * @param faultType
     * @return
     */
    Integer update(FaultType faultType);

    /**
     * 故障码分类删除
     * @param id
     * @return
     */
    Integer delete(Integer id);
}
