package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.SysCarFault;

import java.util.List;

/**
 * 车辆故障Service接口
 * @author Yang鹏
 * @date 2024-09-18
 */
public interface ISysCarFaultService extends IService<SysCarFault> {
    /**
     * 精确查询车辆故障
     *
     * @param id 车辆故障主键
     * @return 车辆故障
     */
    public SysCarFault selectSysCarFaultById(Long id);

    /**
     * 查询车辆故障列表
     *
     * @param sysCarFault 车辆故障
     * @return 车辆故障集合
     */
    public List<SysCarFault> selectSysCarFaultList(SysCarFault sysCarFault);

    /**
     * 判断 车辆故障 id是否唯一
     * @param sysCarFault 车辆故障
     * @return 结果
     */
    Boolean checkIdUnique(SysCarFault sysCarFault);

}
