package com.muyu.enterpise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.message.Message;
import com.muyu.domain.message.MessageReq;
import com.muyu.domain.message.MessageSendReq;

import java.util.List;

/**
 * 消息服务接口
 *  * @className: MessageService  ️✈️
 *  * @author: Yang 鹏  🦅
 *  * @date: 2024/9/23 21:06 ⏰
 *  * @Version: 1.0
 *  * @description: 故障检测
 */
public interface MessageService extends IService<Message> {

    /**
     * 消息发送
     * @param messageSendReq
     * @return
     */
    void sendmessage(MessageSendReq messageSendReq);

    /**
     * 消息查看
     * @param messageReq
     * @param
     * @return
     */
    List<Message> selectmessage(MessageReq messageReq);


    /**
     * 查看消息改变状态
     * @param message
     * @return
     */
    void changestatus(Message message);


    /**
     * 查看未读的消息
     * @return
     */
    List<Message> unread();
}
